Count Indexed Rows
curl --request GET \
--url https://{resource_uuid}.api.seahorse.dnotitia.ai/v2/data/indexed-row-count \
--header 'Authorization: Bearer <token>'import requests
url = "https://{resource_uuid}.api.seahorse.dnotitia.ai/v2/data/indexed-row-count"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{resource_uuid}.api.seahorse.dnotitia.ai/v2/data/indexed-row-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"data": {
"indexed_counts": [
{
"index_name": "dense_vector",
"index_type": "hnsw",
"indexed_row_count": 200
},
{
"index_name": "sparse_vector",
"index_type": "inverted",
"indexed_row_count": 300
}
],
"total_row_count": 1000
},
"exception": null,
"success": true
}{
"code": 400,
"data": null,
"exception": {
"error_code": 400001,
"error_message": "Bad Request: "
},
"success": false
}{
"code": 500,
"data": null,
"exception": {
"error_code": 500001,
"error_message": "Internal error: "
},
"success": false
}테이블 (Table)
Count Indexed Rows
Count indexed vectors in the specified table.
GET
/
v2
/
data
/
indexed-row-count
Count Indexed Rows
Authorizations
bearerAuthapiKeyAuth
Bearer token authentication. Include the token in the Authorization header as 'Bearer '